DUET PlatformDocs
API referenceRead APIIngest

Ingest an Arrow stream

available
POST
/platform/v1/ingest/arrow-stream

Authorization

Bearer
headerAuthorizationBearer <token>

Query Parameters

project_id*string

The DUET project ID. Your token must have access to the project.

Header Parameters

Accept*"application/json"
Value in"application/json"

Request Body

body*fileapplication/vnd.apache.arrow.stream
Formatbinary

Response Body

DUET ingested the Arrow IPC stream.

application/json
  1. response
ok*boolean
Example Request
curl -X POST 'https://api.enurgen.com/platform/v1/ingest/arrow-stream?project_id=string' \  -H 'Accept: application/json'
Example Response
{  "ok": true}